commit: 4ef45ea6b7960a81eb0bf88a98516bbcc5d09baf
parent 0f6993911d22a69bae628e0abea1aa1ad8454229
Author: Haelwenn (lanodan) Monnier <contact@hacktivis.me>
Date: Sun, 15 Dec 2024 20:54:25 +0100
Put extras into ./extras
Diffstat:
16 files changed, 38 insertions(+), 37 deletions(-)
diff --git a/README.md b/README.md
@@ -147,7 +147,7 @@ Meanwhile:
- git: For oasis
- e2fsprogs: In case you need to format some extra storage
-You can automatically build all of the above with `/build-extras.sh` but be warned that those aren't as curated and due to lack of deblob, they might contain binaries and some use autotools which harms reviewability.
+You can automatically build all of the above with `/extras-build-all.sh` but be warned that those aren't as curated and due to lack of deblob, they might contain binaries and some use autotools which harms reviewability.
You can also exclude those tarballs from the initrd with setting the `EXCLUDE_EXTRAS` environment variable to any value.
diff --git a/build-extras.sh b/build-extras.sh
@@ -1,22 +0,0 @@
-#!/bin/sh
-set -ex
-
-/bootstrap-lua.sh
-
-/bootstrap-bearssl.sh
-
-/bootstrap-pkgconf.sh
-
-/bootstrap-make.sh
-
-/bootstrap-e2fsprogs.sh # make
-/bootstrap-gettext-tiny.sh # make
-/bootstrap-skalibs.sh # make
-/bootstrap-tiny-curl.sh # make
-/bootstrap-xz.sh # make
-
-/bootstrap-mdevd.sh # make skalibs
-
-/bootstrap-iproute2.sh # make pkgconf
-
-/bootstrap-git.sh # make tiny-curl gettext-tiny
diff --git a/extras-build-all.sh b/extras-build-all.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+set -ex
+
+/extras/lua.sh
+
+/extras/bearssl.sh
+
+/extras/pkgconf.sh
+
+/extras/make.sh
+
+/extras/e2fsprogs.sh # make
+/extras/gettext-tiny.sh # make
+/extras/skalibs.sh # make
+/extras/tiny-curl.sh # make
+/extras/xz.sh # make
+
+/extras/mdevd.sh # make skalibs
+
+/extras/iproute2.sh # make pkgconf
+
+/extras/git.sh # make tiny-curl gettext-tiny
diff --git a/bootstrap-bearssl.sh b/extras/bearssl.sh
diff --git a/bootstrap-e2fsprogs.sh b/extras/e2fsprogs.sh
diff --git a/bootstrap-gettext-tiny.sh b/extras/gettext-tiny.sh
diff --git a/bootstrap-git.sh b/extras/git.sh
diff --git a/bootstrap-iproute2.sh b/extras/iproute2.sh
diff --git a/bootstrap-lua.sh b/extras/lua.sh
diff --git a/bootstrap-make.sh b/extras/make.sh
diff --git a/bootstrap-mdevd.sh b/extras/mdevd.sh
diff --git a/bootstrap-pkgconf.sh b/extras/pkgconf.sh
diff --git a/bootstrap-skalibs.sh b/extras/skalibs.sh
diff --git a/bootstrap-tiny-curl.sh b/extras/tiny-curl.sh
diff --git a/bootstrap-xz.sh b/extras/xz.sh
diff --git a/make-root.sh b/make-root.sh
@@ -41,19 +41,19 @@ distfiles="
e2fsprogs-1.47.1.tar.gz
"
local_distfiles="
- bootstrap-make.sh
- bootstrap-xz.sh
- bootstrap-lua.sh
- bootstrap-pkgconf.sh
- bootstrap-iproute2.sh
- bootstrap-skalibs.sh
- bootstrap-mdevd.sh
- bootstrap-bearssl.sh
- bootstrap-tiny-curl.sh
- bootstrap-gettext-tiny.sh
- bootstrap-git.sh
- bootstrap-e2fsprogs.sh
- build-extras.sh
+ extras/make.sh
+ extras/xz.sh
+ extras/lua.sh
+ extras/pkgconf.sh
+ extras/iproute2.sh
+ extras/skalibs.sh
+ extras/mdevd.sh
+ extras/bearssl.sh
+ extras/tiny-curl.sh
+ extras/gettext-tiny.sh
+ extras/git.sh
+ extras/e2fsprogs.sh
+ extras-build-all.sh
"
WORKDIR="$(dirname "$0")"
WORKDIR="$(realpath "$WORKDIR")"
@@ -96,8 +96,9 @@ for i in $local_files; do
done
if ! test "${EXCLUDE_EXTRAS:+y}" = "y"; then
+ mkdir -p ./extras
for i in $local_distfiles; do
- cp "${WORKDIR}/$i" ./ || die "Failed copying $i"
+ cp "${WORKDIR}/$i" ./"$i" || die "Failed copying $i"
done
for i in $distfiles